/*
 * Copyright 2016 Canonical Ltd.
 *
 * This file is part of webbrowser-app.
 *
 * webbrowser-app is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * webbrowser-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

SingleWindowTestCase {
    name: "BackForward"

    function test_go_back_and_forward() {
        var chrome = findChild(window.contentItem, "chrome");
        var backButton = findChild(chrome, "backButton");
        verify(!backButton.enabled);
        var forwardButton = findChild(chrome, "forwardButton");
        verify(!forwardButton.enabled);
        browse_to("test2.html", true);
        tryCompare(backButton, "enabled", true);
        clickItem(backButton);
        tryCompare(backButton, "enabled", false);
        tryCompare(forwardButton, "enabled", true);
        verify(waitFor(function() { return (forwardButton.width > 1); }));
        clickItem(forwardButton);
        tryCompare(forwardButton, "enabled", false);
        tryCompare(backButton, "enabled", true);
    }
}
