/*
 * Copyright 2017 Canonical Ltd.
 *
 * This file is part of webbrowser-app.
 *
 * webbrowser-app is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * webbrowser-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

SingleWindowTestCase {
    id: testCase
    name: "Geolocation"

    property var dialog: null

    function test_geolocation_dialog() {
        browse_to("geolocation.html", true);
        dialog =
            waitForChild(window.contentItem, "geolocationPermissionRequest");
        verify(dialog != null);
        var button = findChild(dialog, "deny");
        clickItem(button);
        tryCompare(testCase, "dialog", null);

        // The second time around, no request will be issued to the user as
        // oxide remembers the response for the duration of the session
        browse_to("geolocation.html", true);
        compare(waitForChild(window.contentItem,
                             "geolocationPermissionRequest", 500), null);
    }
}
